Subject: bug#34485: kwindowsystem derivation failed

From: <[email-masked]>
Date: Fri, 15 Feb 2019 10:45:07 +0100 (CET)

hello! I am using only blender 2.80 defined from config but I've got many unnecessary packages like kwayland and other k... I have no others self-defined things.

$ blender --version
Color management: using fallback mode for management
Blender 2.80 (sub 40)

The error appears:

$ time guix package --substitute-urls=https://ci.guix.info <https://ci.guix.info> -u
....
downloading from https://ci.guix.info/nar/gzip/1j5ydcsbf6c511x9bc37xdabc8443c13-qttools-5.11.3 <https://ci.guix.info/nar/gzip/1j5ydcsbf6c511x9bc37xdabc8443c13-qttools-5.11.3>...
 qttools-5.11.3  6.6MiB               1.0MiB/s 00:06 [##################] 100.0%

building /gnu/store/pzxgvjqljjljd8ynvkcwx2q7k2hrvk0q-karchive-5.54.0.drv...
building /gnu/store/xz43s42dpgd0xg44hdzjxbv3pzha8j3c-kcodecs-5.54.0.drv...
building /gnu/store/ndj1af12canz7g992sccr9a9jyipx578-kconfig-5.54.0.drv...
building /gnu/store/w1vgcgm5c51a4kvnkn40pkpiib6fv8fg-kconfig-5.54.0.drv...
building /gnu/store/g7nxddw9qr6a6cwky1f01bvgsc9fisw6-kcoreaddons-5.54.0.drv...
building /gnu/store/z8bjfnaxk4vv27m34hb2a8214p48k88f-kcoreaddons-5.54.0.drv...
building /gnu/store/46hfpf3xp9cj5k59iw8bsdmv9h76n8n1-kdbusaddons-5.54.0.drv...
building /gnu/store/rg1szd0q6bk4i9af4xlwj70l7i87v4xc-kguiaddons-5.54.0.drv...
building /gnu/store/kxbwg9ghf1nji109b45k7hk3bcn5pqsl-kitemviews-5.54.0.drv...
building /gnu/store/6vnnvxcrrfdxighw7s2v49a9ijxllkh3-kplotting-5.54.0.drv...
building /gnu/store/2nx4cwbd30byzwk4sd997pmmkgbcy5c1-kwayland-5.54.0.drv...
building /gnu/store/gghjsc46ij726mvc9xwpvkkn46n6rw2c-kwidgetsaddons-5.54.0.drv...
building /gnu/store/qw8s3dzs3c2nbrh0l7faqr8xcflr1pn9-kwidgetsaddons-5.54.0.drv...
building /gnu/store/2zm98i6nvji8fr3gbg6mbk1byhjls65x-kcompletion-5.54.0.drv...
building /gnu/store/ipvf1kq5wxyhxsa2d65qhwvvh2cryy29-kcompletion-5.54.0.drv...
building /gnu/store/kbv23xf8x37j9yf6gykmbr65d407b3za-kjobwidgets-5.54.0.drv...
building /gnu/store/qbwmzkgsrgxs97sq1rgpqkwf2bn98zbk-kjobwidgets-5.54.0.drv...
building /gnu/store/fl5lhlb4y44wmnr254vi5wj51a4w9q50-kwindowsystem-5.54.0.drv...
building /gnu/store/vmbmxipcn939jx3fa76cdl840r6cdlfx-kwindowsystem-5.54.0.drv...
| 'check' phasebuilder for `/gnu/store/vmbmxipcn939jx3fa76cdl840r6cdlfx-kwindowsystem-5.54.0.drv' failed with exit code 1
build of /gnu/store/vmbmxipcn939jx3fa76cdl840r6cdlfx-kwindowsystem-5.54.0.drv failed
View build log at '/var/log/guix/drvs/vm/bmxipcn939jx3fa76cdl840r6cdlfx-kwindowsystem-5.54.0.drv.bz2'.
building /gnu/store/gmr36qr774p5yi7mnazqwzdbimg2bshk-kcrash-5.54.0.drv...
cannot build derivation `/gnu/store/lpvaq7hyalj7gkyigw3dmqdb4ss36gd2-kcrash-5.54.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/r5xkf33mq9vwgl8ax7cswq41zn00rp05-kdeclarative-5.54.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/a44x51914j5fyh8bak1czf6h3d8kpvxf-kio-5.54.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/k9vy611hvln43dwz41br11m9jvg3qvbx-knotifications-5.54.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/vficrfpk42v833hhrsy2shzf08ycwi8l-ktextwidgets-5.54.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/sr970nrgaia4v8xw77ak4mayz3mh02mk-kxmlgui-5.54.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/cq8886fnrxnrilniw9xyzys5gmc2kp5b-kdenlive-18.08.1.drv': 1 dependencies couldn't be built
guix package: error: build of `/gnu/store/cq8886fnrxnrilniw9xyzys5gmc2kp5b-kdenlive-18.08.1.drv' failed

real    66m43.804s
user    0m41.287s
sys    0m3.582s

blender scheme:

(define-public blender
  (let ((revision "0")
        (commit "6d89337257b6f3ec0b300e13c1322f5171d966af"))
  (package
    (name "blender")
    (version (git-version "2.80" revision commit))
    (source (origin
              (method git-fetch)
              (uri (git-reference
                     (url "https://git.blender.org/blender.git <https://git.blender.org/blender.git>")
                     (commit commit)))
              (file-name (git-file-name name version))
              (sha256
               (base32
                "0hx2s8jwsh6a65sx8qbg5gdslpl2sh24cwbqbr5l1s50kfl6dmiz"))))
    (build-system cmake-build-system)
    (arguments
      (let ((python-version (version-major+minor (package-version python))))
       `(;; Test files are very large and not included in the release tarball.
         #:tests? #f
         #:configure-flags
         (list "-DWITH_CODEC_FFMPEG=ON"
               "-DWITH_CODEC_SNDFILE=ON"
               "-DWITH_CYCLES=ON"
               "-DWITH_DOC_MANPAGE=ON"
               "-DWITH_FFTW3=ON"
               "-DWITH_GAMEENGINE=ON"
               "-DWITH_IMAGE_OPENJPEG=ON"
               "-DWITH_INPUT_NDOF=ON"
               "-DWITH_INSTALL_PORTABLE=OFF"
               "-DWITH_JACK=ON"
               "-DWITH_MOD_OCEANSIM=ON"
               "-DWITH_PLAYER=ON"
               "-DWITH_PYTHON_INSTALL=OFF"
               "-DWITH_PYTHON_INSTALL=OFF"
               "-DWITH_SYSTEM_OPENJPEG=ON"
               (string-append "-DPYTHON_LIBRARY=python" ,python-version "m")
               (string-append "-DPYTHON_LIBPATH=" (assoc-ref %build-inputs "python")
                              "/lib")
               (string-append "-DPYTHON_INCLUDE_DIR=" (assoc-ref %build-inputs "python")
                              "/include/python" ,python-version "m")
               (string-append "-DPYTHON_VERSION=" ,python-version)
               ;; XXX Why does it require Numpy now?
               (string-append "-DPYTHON_NUMPY_PATH="
                              (assoc-ref %build-inputs "python-numpy")
                              "/lib/python" ,python-version "/site-packages/"))
         #:phases
         (modify-phases %standard-phases
            ;; XXX These files don't exist in the Git source. Were they removed
            ;; from Blender 2.80, or are they generated for the release
            ;; tarballs, or perhaps later in the build process than "after
            ;; unpack"?
;           (add-after 'unpack 'fix-broken-import
;             (lambda _
;               (substitute* "release/scripts/addons/io_scene_fbx/json2fbx.py"
;                 (("import encode_bin") "from . import encode_bin"))
;               #t))
           (add-after 'set-paths 'add-ilmbase-include-path
             (lambda* (#:key inputs #:allow-other-keys)
               ;; OpenEXR propagates ilmbase, but its include files do not appear
               ;; in the CPATH, so we need to add "$ilmbase/include/OpenEXR/" to
               ;; the CPATH to satisfy the dependency on "half.h".
               (setenv "CPATH"
                       (string-append (assoc-ref inputs "ilmbase")
                                      "/include/OpenEXR"
                                      ":" (or (getenv "CPATH") "")))
               #t))))))
    (inputs
     `(("boost" ,boost)
       ("jemalloc" ,jemalloc)
       ("libx11" ,libx11)
       ("openimageio" ,openimageio)
       ("openexr" ,openexr)
       ("ilmbase" ,ilmbase)
       ("openjpeg" ,openjpeg-1)
       ("libjpeg" ,libjpeg)
       ("libpng" ,libpng)
       ("libtiff" ,libtiff)
       ("ffmpeg" ,ffmpeg)
       ("fftw" ,fftw)
       ("jack" ,jack-1)
       ("libsndfile" ,libsndfile)
       ("freetype" ,freetype)
       ("glew" ,glew)
       ("openal" ,openal)
       ("python" ,python)
       ("python-numpy" ,python-numpy)
       ("zlib" ,zlib)))
    (home-page "https://blender.org/ <https://blender.org/>")
    (synopsis "3D graphics creation suite")
    (description
     "Blender is a 3D graphics creation suite.  It supports the entirety of
the 3D pipeline—modeling, rigging, animation, simulation, rendering,
compositing and motion tracking, even video editing and game creation.  The
application can be customized via its API for Python scripting.")
    (license license:gpl2+))))

Please, why wayland and other k packages appear and take much time?